Potential incompatibilities with PHP 7.2

Discussions and requests related to new CMSimple features, plugins, templates etc. and how to develop.
Please don't ask for support at this forums!
cmb
Posts: 11880
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Potential incompatibilities with PHP 7.2

Postby cmb » Sun Jan 29, 2017 6:58 pm

Hi Developers!

The PHP developers have decided to deprecate some functionality as of PHP 7.2 and to remove it as of PHP 8.0. From what I can tell, the following may affect CMSimple_XH and plugins:
  1. create_function()
  2. parse_str() without second argument
  3. each()
  4. assert() with string argument
  5. $errcontext argument of error handler
Of these, (1) and (5) will affect CMSimple_XH 1.6, but (1) is already fixed in master, and I'll provide a fix for (5) shortly.

I suggest that plugin developers check their plugins and fix any issues before PHP 7.2.0 will be released (what is supposed to happen in December, only).

Note that there is also an RFC draft Deprecate and Remove Bareword (Unquoted) Strings which may or may not be accepted. I suggest to fix these bareword/unquoted strings in plugins and templates anyway, see https://cmsimpleforum.com/viewtopic.php?f=4&t=12148.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

cmb
Posts: 11880
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Potential incompatibilities with PHP 7.2

Postby cmb » Sun Jan 29, 2017 10:29 pm

cmb wrote:[…], and I'll provide a fix for (5) shortly.

Done.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

olape
Posts: 313
Joined: Fri Mar 13, 2015 8:47 am
Contact:

Re: Potential incompatibilities with PHP 7.2

Postby olape » Tue Jan 31, 2017 8:32 pm

Thanks for the info


Return to “Open Development”

Who is online

Users browsing this forum: No registered users and 1 guest